import request from '@/utils/request'

// 查询freight列表
export function listFreight(query) {
  return request({
    url: '/system/freight/list',
    method: 'get',
    params: query
  })
}

// 查询freight详细
export function getFreight(id) {
  return request({
    url: '/system/freight/' + id,
    method: 'get'
  })
}

// 新增freight
export function addFreight(data) {
  return request({
    url: '/system/freight',
    method: 'post',
    data: data
  })
}

// 修改freight
export function updateFreight(data) {
  return request({
    url: '/system/freight',
    method: 'put',
    data: data
  })
}

// 删除freight
export function delFreight(id) {
  return request({
    url: '/system/freight/' + id,
    method: 'delete'
  })
}
